function [y] = alg_kNN_eval(ModelParams, Inputs)
% function [y] = alg_kNN_eval(ModelParams, Inputs)

% y = (sign(svm_Eval(x, ModelParams)) + 1) ./ 2;

% y = zeros(size(Inputs,1), 1);

if isequal(ModelParams.NormalizeInputs, 'yes')
    disp('WARNING: alg_kNN_eval scaling inputs...');
    NormalizedInputs = normalizeInputs(Inputs, ModelParams.ScalingMean, ModelParams.ScalingStd);
    disp('alg_kNN_eval scaling inputs done.');
%    %y = (svmfwd(ModelParams.SVM, NormalizedInputs) + 1) ./ 2;
%    for i = 1:size(NormalizedInputs, 1)
%        d = sum((repmat(NormalizedInputs(i,:), size(ModelParams.StoredInputs, 1), 1) - ModelParams.StoredInputs) .^ 2, 2);
%        [v, I] = sort(d);
%        y(i,1) = median(ModelParams.StoredLabels(I(1:ModelParams.k), 1));
%    end
    D = repmat(sum(ModelParams.StoredInputs.^2,2)', size(NormalizedInputs,1), 1) - 2 .* (NormalizedInputs * ModelParams.StoredInputs');
else
%    %y = (svmfwd(ModelParams.SVM, Inputs) + 1) ./ 2;   
%    for i = 1:size(Inputs, 1)
%        d = sum((repmat(Inputs(i,:), size(ModelParams.StoredInputs, 1), 1) - ModelParams.StoredInputs) .^ 2, 2);
%        [v, I] = sort(d);
%        y(i,1) = median(ModelParams.StoredLabels(I(1:ModelParams.k), 1));
%    end

    % Inputs: NxD
    % StoredInputs: MxD
    % D: NxM
    %D = Inputs' * Inputs + ModelParams.StoredInputs' * ModelParams.StoredInputs - 2 .* (Inputs * ModelParams.StoredInputs);
    D = repmat(sum(ModelParams.StoredInputs.^2,2)', size(Inputs,1), 1) - 2 .* (Inputs * ModelParams.StoredInputs');
end

[v, I] = sort(D, 2);

if isfield(ModelParams, 'LeaveOneOutNow') && ModelParams.LeaveOneOutNow == 1
  % example is in the set; ignore closest vote
  y = median(ModelParams.StoredLabels(I(:, 2:ModelParams.k+1)), 2);
else
  y = median(ModelParams.StoredLabels(I(:, 1:ModelParams.k)), 2);
end

return
