function Conf = GetConfusion(Labels, Outputs, thresholds)
% Conf = GetConfusion(Labels, Outputs, thresholds)
%
% Conf is 2x2xk ([TN,FP;FN,TP]xk) for k thresholds; default k=[0.5]
%
if (nargin < 3) thresholds = [0.5]; end;
k = max(size(thresholds));
Conf = zeros(2,2,k);
Labels0 = 1 - Labels;
for i = 1:k
%     yd = (Outputs > thresholds(i));
%     Conf(1,1,i) = sum(~yd & ~Labels);
%     Conf(1,2,i) = sum(yd & ~Labels);
%     Conf(2,1,i) = sum(~yd & Labels);
%     Conf(2,2,i) = sum(yd & Labels);
    yd1 = double(Outputs > thresholds(i));
    yd0 = 1 - yd1;
    Conf(1,1,i) = sum(yd0 .* Labels0);
    Conf(1,2,i) = sum(yd1 .* Labels0);
    Conf(2,1,i) = sum(yd0 .* Labels);
    Conf(2,2,i) = sum(yd1 .* Labels);
end
