function order = TopologicalSortNodes(NodeParents, NumNodes)
% TOPOLOGICAL_SORT Return the nodes in topological order (parents before children).
% order = topological_sort(adj_mat)

indeg = zeros(1,NumNodes);
zero_indeg = []; % a stack of nodes with no parents
for i=1:NumNodes
  indeg(i) = sum(NodeParents(:,2) == i);
  if indeg(i)==0
    zero_indeg = [i zero_indeg];
  end
end

t=1;
order = zeros(1,NumNodes);
while ~isempty(zero_indeg)
  v = zero_indeg(1); % pop v
  zero_indeg = zero_indeg(2:end);
  order(t) = v;
  t = t + 1;
  cs = NodeParents(NodeParents(:,1) == v, 2);
  for j=1:length(cs)
    c = cs(j);
    indeg(c) = indeg(c) - 1;
    if indeg(c) == 0
      zero_indeg = [c zero_indeg]; % push c 
    end
  end
end
