function RetVal = fixAllResults(paramstr, directory)
% Loads, "fixes", and resaves all files like "*_<paramstr>.res.mat" in <directory>.
% "Fixing" is some operation. This is a play-around utility file.

if nargin < 2 | isempty(directory)
    directory = 'C:/My Projects/Matlab/Results/';
    if ~exist(directory, 'dir') directory = '/n/fs/function/Projects/Zafer/Matlab/Results/'; end
    if ~exist(directory, 'dir') error('Default directory not found!'); end
end

if directory(end) ~= '/' && directory(end) ~= '\', directory = [directory, '/']; end

if ~exist(directory,'dir') error(['Directory not found: ', directory']); end;

files = dir([directory, '*_', paramstr, '.res.mat']);
N = size(files,1);
if N == 0, error('No matching results found!'); end

% fixing preparation
%error('not in use!')
%Inputs = load('C:\Documents and Settings\zbarutcu\My Documents\Machine Learning\Olga\Data\ALL_inputs.mat');
Inputs = load('~/research/function/data/ALL_inputs.mat');
%Inputs = load('J:/research/function/data/ALL_inputs.mat');
Inputs = Inputs.ALL_inputs;
Inputs = Inputs(2:end,2:end);
RetVal = ones(size(Inputs,1), N) .* NaN;
for i=1:N
    % load results
    fname = [directory, files(i).name];
    Results = load(fname);
    Results = Results.Results;
    
%     % do the fixing
%     labelsfile = ['C:\Documents and Settings\zbarutcu\My Documents\Machine Learning\Olga\Data\outputs_',Results.GOID(4:end),'.mat.txt'];
%     Labels = spconvert(dataread('file', labelsfile, '', -1,'delimiter','\t'));    
%     %I_rows = find(~isnan(Labels));
%     I_rows = (1:size(Labels,1))';
%     I_cols = find(sum((Inputs(I_rows,:) ~= 0),1) >= 2);
%     Results.I_cols = I_cols;
%     Results.I_rows = I_rows;
% 
%     [MeanY, MedianY] = predictHeldOuts(@alg_LogReg_eval, Results, Inputs(Results.I_rows, Results.I_cols));
%     Results.HeldOutMeanOutputs = MeanY;
%     Results.HeldOutMedianOutputs = MedianY;

	 % add raw svm outputs
     [MeanY, MedianY] = predictHeldOuts(@alg_SVMlightRaw_eval, Results, Inputs(Results.I_rows, Results.I_cols));
     Results.HeldOutMeanOutputsRaw = MeanY;
     Results.HeldOutMedianOutputsRaw = MedianY;
     RetVal(Results.I_rows,i) = MedianY;
%     
%%     [Areas, HeldOutMeanArea, HeldOutMedianArea] = GetROCs(Results, '', ['figs/SVMlight/', Results.GOID(4:end), '_', paramstr, '.roc.png'], 'png');
%%     Results.AUCs = Areas;
%%     Results.HeldOutMeanAUC = HeldOutMeanArea;
%%     Results.HeldOutMedianAUC = HeldOutMedianArea;
%%
%%%    Results.Folds{1}.ModelParams.SVM.fdata = char(Results.Folds{1}.ModelParams.SVM.fdata);
%%%     for i=1:10
%%%         Results.Folds{i}.ModelParams.SVM.fdata = '';
%%%     end
    disp([num2str(i), ' ', Results.GOID, ': ', num2str(Results.AlgParams.C)]);
    
    % save
    save(fname, 'Results');
end
disp(['Fixed ', num2str(N), ' results!']);
