function [mindepths, maxdepths, numchildren] = getNodeStats(NodeParents, NumNodes)
% NodeParents must be indexes

numchildren = zeros(1, NumNodes);

for i = 1:NumNodes
  numchildren(i) = sum(NodeParents(:,1) == i);
end

mindepths = zeros(1, NumNodes);
maxdepths = zeros(1, NumNodes);

order = TopologicalSortNodes(NodeParents, NumNodes);
for i = 1:NumNodes
  node = order(i);
  parents = NodeParents(find(NodeParents(:,2) == node), 1);
  if isempty(parents) % root
    mindepths(node) = 0;
    maxdepths(node) = 0;
  else
    mindepths(node) = min(mindepths(parents)) + 1;
    maxdepths(node) = max(maxdepths(parents)) + 1;
  end
end