function NewLabels = getTopDownLabels(Labels, NodeParents, replaceWith)
% function NewLabels = getTopDownLabels(Labels, NodeParents, replaceWith=NaN)
% OBSOLETE: See propagateLabels().
% 
% Creates labels for top-down training/classification a la Cesa-Bianchi
% by removing (replacing with <replaceWith>) any parent non-positives from
% the node's negatives.
%
% <replaceWith> default is NaN

if nargin < 3, replaceWith = NaN; end

NumNodes = size(Labels, 2);

NewLabels = Labels;

I_TopDown = TopologicalSortNodes(NodeParents, NumNodes);

for i = I_TopDown
    parents = NodeParents(NodeParents(:,2) == i, 1);
    for j = parents
        NewLabels(find(NewLabels(:,j) ~= 1), i) = replaceWith;
    end
end