% Reuters Bayes net held-out prediction chunks joining script

function joinReutersSynthPredictionChunks(dataroot)

if nargin < 1
  dataroot = '/n/fs/grad/zbarutcu/research/function/Synth/data';
end

rows = 10000;
classes = 101;

for prevalence = [.01, .05, .10, .50]
  for recall = [.10, .30, .50, .70, .90]
    for specificity=[.95, .75, .55, .35, .15]
      if recall < 1-specificity, continue; end % Use upper triangular part of ROC.
      
      % Make dataset name.
      datasetName = sprintf('hReuters_p%02.0f_r%02.0f_s%02.0f', prevalence * 100, recall * 100, specificity * 100);
      chunkPattern = [dataroot, '/', datasetName, '/chunks/bnet_down.%03d.pred.mat']; 
      jointFile = [dataroot, '/', datasetName, '/bnet_down.pred.mat'];

      if ~exist(jointFile, 'file') && exist(sprintf(chunkPattern, 1), 'file')
        disp(['Joining ', datasetName, '...']);
        
        joinPredictionChunks(10, chunkPattern, jointFile, rows, classes);
      end
    end
  end
end

disp('Done!')
