function ResArray = loadAllResults(paramstr, directory)
% ResArray = loadAllResults(paramstr, directory)
%
% Loads all files like "*_<paramstr>.res.mat" in <directory>.
% <ResArray> is col array of result structs.
% <directory> has platform dependent defaults.

if nargin < 2 | isempty(directory)
    directory = 'C:/My Projects/Matlab/Results/';
    if ~exist(directory, 'dir') directory = '/n/fs/function/Projects/Zafer/Matlab/Results/'; end
    if ~exist(directory, 'dir') error('Default directory not found!'); end
end

if directory(end) ~= '/' && directory(end) ~= '\', directory = [directory, '/']; end

if ~exist(directory,'dir') error(['Directory not found: ', directory']); end;

files = dir([directory, '*_', paramstr, '.res.mat']);
N = size(files,1);
if N == 0, error('No matching results found!'); end

ResArray = cell(N, 1);
for i=1:N
    R = load([directory, files(i).name]);
    ResArray{i} = R.Results;
end
