function NodeInfos = loadNodeInfos(filename)
% function NodeInfos = loadNodeInfos(filename)
% 
% Loads GO node infos from file exported from Python by Ontology.exportNodeInfos.
% Returns struct of array/vector fields.
%
% filename default: '~/research/function/data/selectedNodeInfos.mat.txt'

if nargin < 1, filename = [getenv('HOME'), '/research/function/data/selectedNodeInfos.mat.txt']; end

[GOIDs, nodeNames, directGenes, totalGenes, usedGenes] = textread(filename, '%q%q%d%d%d');
NodeInfos = struct;
NodeInfos.GOIDs = GOIDs;
NodeInfos.nodeNames = nodeNames;
NodeInfos.directGenes = directGenes;
NodeInfos.totalGenes = totalGenes;
NodeInfos.usedGenes = usedGenes;
