function [NormalizedInputs, ScalingMean, ScalingStd] = normalizeInputs(Inputs, UseMean, UseStd)
[N, D] = size(Inputs);

NormalizedInputs = zeros(size(Inputs));

if nargin == 1
    ScalingMean = zeros(1,size(Inputs,2));
    ScalingStd = ones(1,size(Inputs,2));
    for i=1:D
        X = full(Inputs(:,i));
        if sum(X == 0 | X == 1) == N
            ScalingMean(i) = 0;
            ScalingStd(i) = 1;
            NormalizedInputs(:,i) = X;
        else
            ScalingMean(i) = mean(X);
            ScalingStd(i) = std(X);
            if ScalingStd(i) == 0,
                ScalingStd(i) = 1;
            end
            NormalizedInputs(:,i) = (Inputs(:,i) - ScalingMean(i)) ./ ScalingStd(i);
        end
    end
else
    if nargout > 1
        error('Too many output args for normalizeInputs with UseMean/UseStd');
    end
    for i=1:size(Inputs,2)
        NormalizedInputs(:,i) = (Inputs(:,i) - UseMean(i)) ./ UseStd(i);
    end
end
