function [OldAreas, NewAreas] = postProcessResults_ROC(paramstr, directory, Labels, OldOutputs, NewOutputs, ClassIDs)
% Loads, adds AUC fields, and resaves all files like "*_<paramstr>.res.mat" in <directory>.
% Also saves <ClassID>_<paramstr>.roc.png under <directory>.
% <directory> is optional, default is '.' 
% 
% Ex: postProcessResults_ROC('kNN_cv1x2_k1', '', Labels, Outputs, OutputsBayes);

if nargin < 2 | isempty(directory)
    directory = '.';
    % if ~exist(directory, 'dir') directory = '/n/fs/function/Projects/Zafer/Matlab/Results/'; end
    if ~exist(directory, 'dir') error('Default directory not found!'); end
end

if nargin < 6 | isempty(ClassIDs)
  ClassIDs = getSelectedClassIDs;
end

if directory(end) ~= '/' && directory(end) ~= '\', directory = [directory, '/']; end

if ~exist(directory,'dir') error(['Directory not found: ', directory']); end; %'

%files = dir([directory, '*_', paramstr, '.res.mat']);
%N = size(files,1);
%if N == 0, error('No matching results found!'); end %'
N = length(ClassIDs);

% fixing preparation
%error('not in use!')
%Inputs = load('C:\Documents and Settings\zbarutcu\My Documents\Machine Learning\Olga\Data\ALL_inputs.mat');
%Inputs = Inputs.Inputs;
%Inputs = Inputs(2:end,2:end);

OldAreas = zeros(N,1);
NewAreas = zeros(N,1);

for i=1:N
    % load results
    fname = [directory, ClassIDs{i}, '_', paramstr, '.res.mat'];
    imageFileName = [fname(1:end-8), '.roc.png'];
    if exist(imageFileName, 'file')
        disp(['Skipping ', imageFileName]);
        continue;
    end
        
    Results = load(fname);
    Results = Results.Results;
    
%     % do the fixing
%     labelsfile = ['C:\Documents and Settings\zbarutcu\My Documents\Machine Learning\Olga\Data\outputs_',Results.ClassID,'.mat.txt'];
%     Labels = spconvert(dataread('file', labelsfile, '', -1,'delimiter','\t'));    
%     %I_rows = find(~isnan(Labels));
%     I_rows = (1:size(Labels,1))';
%     I_cols = find(sum((Inputs(I_rows,:) ~= 0),1) >= 2);
%     Results.I_cols = I_cols;
%     Results.I_rows = I_rows;
% 
%     [MeanY, MedianY] = predictHeldOuts(@alg_LogReg_eval, Results, Inputs(Results.I_rows, Results.I_cols));
%     Results.HeldOutMeanOutputs = MeanY;
%     Results.HeldOutMedianOutputs = MedianY;
%     
     % [Areas, HeldOutMeanArea, HeldOutMedianArea] = GetROCs(Results, '', [directory, Results.ClassID, '_', paramstr, '.roc.eps'], 'epsc2', '300');
     %[Areas, HeldOutMeanArea, HeldOutMedianArea] = GetROCs(Results, '', imageFileName, 'png');
     [OldArea, NewArea] = GetROC_compare(Labels(:,i), OldOutputs(:,i), NewOutputs(:,i),{'kNN','kNN+Bayes'},'', imageFileName, 'png');
     Results.HeldOutAUC = OldArea;
     Results.BayesHeldOutAUC = NewArea;
     
     OldAreas(i) = Results.HeldOutAUC;
     NewAreas(i) = Results.BayesHeldOutAUC;

%    Results.Folds{1}.ModelParams.SVM.fdata = char(Results.Folds{1}.ModelParams.SVM.fdata);
%     for i=1:10
%         Results.Folds{i}.ModelParams.SVM.fdata = '';
%     end
%     disp([Results.ClassID, ': ', num2str(Results.AlgParams.C)]);
    
    % save
    save(fname, 'Results');
    disp([Results.ClassID, ' done.']);
end
disp(['Fixed ', num2str(N), ' results!']);
