function [Folds] = sampleFolds(Indices, k);
% function [IFolds] = sampleFolds(Indices, k);
% 
% Random-without-replacement sampling of Indices into k disjoint folds
% Folds is a cell array of structs.
% Folds{i}.IEval and Folds{i}.ITrain are col vectors containing indices.

N = length(Indices);
I = randperm(N);
Errors = zeros(k, 1);
Folds = cell(1,k);
for t=1:k
    Folds{t} = struct;
    i = floor((t-1)*N/k)+1;
    j = floor(t*N/k);
    Folds{t}.IEval = Indices(I(i:j));
    Folds{t}.ITrain = Indices(I([1:(i-1), (j+1):N]));
end
