function [names, outs] = sortGeneNames(Outputs, I_rows, NameIndices, geneNameIndex)
% [names, outputs] = getGeneNames(Outputs, I_rows, Inputs)
% Returns gene names and outputs in descending order of output
% Outputs: col vector of classifier outputs
% I_rows: a row permutation/filtering used for Outputs
% NameIndices: the gene index in name list, typically SInputs(2:end, 1)
% geneNameIndex: optional, loaded if not given.
if nargin < 4
    geneNameIndex = textread('C:\Documents and Settings\zbarutcu\My Documents\Machine Learning\Olga\Data\geneNameIndex.txt', '%s');
end

[outs, I] = sort(Outputs(:,1));
I = I(end:-1:1);
outs = Outputs(I, :);

names = geneNameIndex(NameIndices(I_rows(I,1), 1) + 1, 1);
