function infer_chunk(bnet, OutputsFile, PredsFile)

% Check for existing Predictions file.
if exist(PredsFile, 'file')
    disp([PredsFile, ' exists, skipped!']);
    return;
end

% check tmp file (another process working).
TempFile = [PredsFile, '.tmp'];
if exist(TempFile, 'file')
    disp([PredsFile, ' already in progress, skipped!']);
    return;
end

% Indicate that prediction is in progress: Write Outputs tmp file.
StartTime = clock;
save('-ASCII', TempFile, 'StartTime');

% Load Bayes net if filename specified. Otherwise the parameter is an object.
if ischar(bnet)
  bnet = load(bnet);
  bnet = bnet.bnet;
end

% Load Outputs file.
Outputs = load(OutputsFile);

if isfield(Outputs, 'Outputs')
  Outputs = Outputs.Outputs;
else
  Outputs = Outputs.Predictions.MedianY;
end

%Predictions = combineBayesian_infer_discrete(bnet, Outputs, 'marginal', [], [], '');
Predictions = combineBayesian_infer_discrete(bnet, Outputs, 'mpe', [], [], '');

save(PredsFile, 'Predictions');

delete(TempFile);

disp([PredsFile, ' done.']);
