function [MeanY, MedianY] = predictHeldOuts(funcEval, Results)
% [MeanY, MedianY] = predictHeldOuts(funcEval, Results, Inputs, I_ex)
% Makes combined predictions for given training set genes using only the models where they were each held-out.
% Inputs: filtered ready inputs
% I_ex: col vector of row indices, default is all rows.
%if nargin < 4, I_ex = (1:size(Inputs,1))'; end
%N = size(I_ex,1);
Results
[N, Ntimes] = size(Results.TestOutputs);

MeanY = NaN(N, 1);
MedianY = NaN(N, 1);

% for each example, find held-out folds
for i=1:N
    r = Results.TestOutputs(i, :);
    P = r(1,~isnan(r));
    if ~isempty(P)
        MeanY(i) = mean(P,2);
        MedianY(i) = median(P,2);
    end
end
