function testPlotAUC

m=0;
figure;
axis([m 1 m 1]);
axis square;
hold on;
t=pwd;
title(t(end-16:end));
xlabel('1-Specificity');
ylabel('Sensitivity');
plot([m 1], [m 1], 'k--');
C0 = load('Confusions.mat');
Cup = load('Confusions_bnet_up.mat');
Cdown = load('Confusions_bnet_down.mat');
Cnone = load('Confusions_bnet_none.mat');
for i = 1:length(C0.C)
  CS0 = GetConfusionStats(C0.C{i});
  CSup = GetConfusionStats(Cup.C{i});
  CSdown = GetConfusionStats(Cdown.C{i});
  CSnone = GetConfusionStats(Cnone.C{i});

  mecNone = [.5 .5 .5];
  mecUp = 'blue';
  mecDown = 'green';

  %field = 'FMeasure';
  %field = 'Accuracy';
  %field = 'AUC';

  Hraw  = plot(1-CS0.Specificity, CS0.Recall, 'k*');
  Hnone = plot(1-CSnone.Specificity, CSnone.Recall, 'o', 'MarkerEdgeColor', mecNone);
  Hup   = plot(1-CSup.Specificity, CSup.Recall, 'o', 'MarkerEdgeColor', mecUp);
  Hdown = plot(1-CSdown.Specificity, CSdown.Recall, 'o', 'MarkerEdgeColor', mecDown);

  if CS0.Accuracy >= CS0.Prevalence && CS0.Accuracy >= 1 - CS0.Prevalence,
    set(Hnone, 'MarkerFaceColor', mecNone);
    set(Hup, 'MarkerFaceColor', mecUp);
    set(Hdown, 'MarkerFaceColor', mecDown);
  end

  %plot(CS0.FMeasure, CS1.FMeasure, 'ko', 'MarkerFaceColor', mfc);
  %plot(CS0.Precision, CS1.Precision, 'ko', 'MarkerFaceColor', mfc);
  %plot(CS0.AUC, CS1.AUC, 'ko', 'MarkerFaceColor', mfc);
end
