function NewLabels = tmp_propagateLabels(Labels, direction, replaceWith, NodeParents)

%if nargin < 4, NodeParents = []; end
%if isempty(NodeParents), NodeParents = ''; end
%if ischar(NodeParents)
%    NodeParents = loadNodeParents(NodeParents, getSelectedClassIDs());
%end

if nargin < 2, direction = 'up'; end

if nargin < 3, replaceWith = []; end
if isempty(replaceWith)
    if isequal(direction, 'up')
        replaceWith = 1;
    elseif isequal(direction, 'down')
        replaceWith = 0;
    else
        error('Invalid direction parameter')
    end
end

NumNodes = size(Labels, 2);

NewLabels = Labels;

I_order = TopologicalSortNodes(NodeParents, NumNodes);

if isequal(direction, 'down')
    for i = I_order
        children = NodeParents(NodeParents(:,1) == i, 2);
        I = find(NewLabels(:,i) == 0);
        NewLabels(I, children) = replaceWith;
    end
elseif isequal(direction, 'up')
    I_order = I_order(end:-1:1); % reverse the order for bottom-up
    for i = I_order
        parents = NodeParents(NodeParents(:,2) == i, 1);
        I = find(NewLabels(:,i) == 1);
        NewLabels(I, parents) = replaceWith;
    end
else
    error('Invalid direction parameter')
end
