from TextData import TextData
import os

class Colocalization_L_neg(TextData):
    def __init__(self):
        #self.DEFAULT_FILE_NAME = r"C:\Documents and Settings\Zafer\My Documents\Machine Learning\Olga\Data\Colocalization\L_neg_processed.txt"
        self.DEFAULT_FILE_NAME = os.getenv('HOME') + "/research/function/rawdata/Colocalization/L_neg_processed.txt"
        self.clear()
        
    def clear(self):
        self.groups = {}
        self.ORFs = []
        self.geneToGroup = {}

    def loadLines(self, lines):
        print " parsing...",
        for line in lines:
            cols = line.split('\t')
            groupName = cols[1].strip()
            geneName = cols[0].strip()
            group = self.groups.get(groupName)
            if group is None:
                self.groups[groupName] = group = []
            group.append(geneName)
            self.geneToGroup[geneName] = groupName
        self.ORFs = self.geneToGroup.keys()
        print "OK"

    def export(self, outfile, ORFList, rowoffset = 0, coloffset = 0):
        ftype = type(outfile)
        if ftype is str:
            f = file(outfile, 'wt')
        elif ftype is file:
            f = outfile
        
        try:
            # write each row
            localeLists = self.groups.values()
            for (orf, r) in zip(ORFList, range(0, len(ORFList))):
                # write each col
                for (localeORFs, c) in zip(localeLists, range(0, len(localeLists))):
                    if orf in localeORFs:
                        f.write('%d\t%d\t1\n' % (r+1+rowoffset, c+1+coloffset))
                    
            # ensure matrix size by forcing the last element
            if ORFList[-1] not in localeLists[-1]:
                f.write('%d\t%d\t0\n' % (len(ORFList)+rowoffset, len(localeLists)+coloffset))
            
        finally:
            if ftype is str:
                f.close()
        
        return len(localeLists)+coloffset

    def printSummary(self):
        print "%s instance:" % self.__class__.__name__
        print " Groups: %d" % len(self.groups)
        print " Genes: %d" % len(self.ORFs)
        counts = map(len, self.groups.values())
        print " Max. size: %d" % max(counts)
        print " Min. size: %d" % min(counts)
        print "(End)"

#L_neg = Colocalization_L_neg.Colocalization_L_neg() ; L_neg.loadFile()