# compare Yale (L_neg) and Kara's (complex) colocalization datasets
from Colocalization_complex import Colocalization_complex
from Colocalization_L_neg import Colocalization_L_neg
from GeneNames import GeneNames
import sets

def compare():
    complex = Colocalization_complex()
    complex.loadFile()
    L_neg = Colocalization_L_neg()
    L_neg.loadFile()
    geneNames = GeneNames()
    geneNames.loadFile()

    complex.printSummary()
    L_neg.printSummary()

    commongenes = sets.Set([(g, geneNames.Any2ORF(g)) for g in complex.genes if geneNames.Any2ORF(g) in L_neg.genes])
    print 'Common genes: %d' % len(commongenes)

    M = [[0,0],[0,0]]
    for (c1,g1) in commongenes:
        for (c2,g2) in commongenes:
            if g1 == g2: continue
            in_complex = (len(complex.geneToGroups[c1].intersection(complex.geneToGroups[c2])) > 0)
            in_L_neg = (L_neg.geneToGroup[g1] == L_neg.geneToGroup[g2])
            in_complex
            in_L_neg 
            M[in_complex][in_L_neg] += 1

    print "\tL_neg_NO\tL_neg_YES\tP(L_NO|C)"
    print "complex_NO\t%d\t%d\t%f" % (M[0][0], M[0][1], float(M[0][0]) / (M[0][0] + M[0][1]) )
    print "complex_YES\t%d\t%d\t%f" % (M[1][0], M[1][1], float(M[1][0]) / (M[1][0] + M[1][1]) )
    print "P(C_NO|L)\t%f\t%f" % (float(M[0][0]) / (M[1][0] + M[0][0]) , float(M[0][1]) / (M[0][1] + M[1][1]))
    print "P(C_NO) = %f" % (float((M[0][0] + M[0][1])) / (M[0][0] + M[0][1] + M[1][0] + M[1][1]))
    print "P(L_NO) = %f" % (float((M[0][0] + M[1][0])) / (M[0][0] + M[0][1] + M[1][0] + M[1][1]))

