import GeneIndex
geneIndex = GeneIndex.GeneIndex()
geneIndex.loadFile()
geneIndex.printSummary()

import ontology
go = ontology.Ontology()
go.loadFile()
import association
assoc = association.Association(translator = geneIndex.Any2ORF)
assoc.loadFile()
go.addAnnotations(assoc)
go.printSummary()

##GO_unknown = [g['ORF'] for g in assoc.genes if geneIndex.Any2ORF(g['ORF']) is None]
##print 'Unknown genes in GO: %d' % len(GO_unknown)
##for orf in GO_unknown:
##    print ' %s' % orf

import GRID
grid = GRID.Interactions(translator = geneIndex.Any2ORF)
grid.loadFile()
grid.printSummary()

##GRID_unknown = [g for g in grid.genes if geneIndex.Any2ORF(g) is None]
##print 'Unknown genes in GRID: %d' % len(GRID_unknown)
##for orf in GRID_unknown:
##    print ' %s' % orf

from sets import Set
gridORFs = grid.genes
bpuORFs = [g['ORF'] for g in go.nodesByID['GO:0000004'].genes]
trainingORFs = [x for x in gridORFs if x not in bpuORFs]
bpuGRIDORFs = [x for x in gridORFs if x in bpuORFs]

grid.saveMerged(r'C:\My Projects\Python\Bioinformatics\gridexp\grid_train.txt', trainingORFs, gridORFs, geneIndex.ORFs)
go.association.saveIndices(r'C:\My Projects\Python\Bioinformatics\gridexp\outputs_train.txt', trainingORFs, ['GO:0006412'])

grid.saveMerged(r'C:\My Projects\Python\Bioinformatics\gridexp\grid_unknown.txt', bpuGRIDORFs, gridORFs, geneIndex.ORFs)

##>>> len(go.association.genes.indexKeys('ORF'))
##6457
##>>> len(sets.Set(grid.genes))
##4907
##>>> sIndex = sets.Set(geneIndex.ORFs)
##>>> sGO = sets.Set(go.association.genes.indexKeys('ORF'))
##>>> len(sIndex.intersection(sGO))
##6443
##>>> len(sIndex.intersection(sets.Set(grid.genes)))
##4897
##>>> sGO = sets.Set([geneIndex.Any2ORF(x) for x in go.association.genes.indexKeys('ORF') if geneIndex.Any2ORF(x) is not None])
##>>> len(sGO)
##6443
##>>> sGRID = sets.Set([geneIndex.Any2ORF(x) for x in grid.genes if geneIndex.Any2ORF(x) is not None])
##>>> len(sGORID)
##Traceback (most recent call last):
##  File "<interactive input>", line 1, in ?
##NameError: name 'sGORID' is not defined
##>>> len(sGRID)
##4900
##>>> len(sGO.intersection(sGRID))
##4564

##>>> print '\n'.join([`(n.name,len(n.genes),n.ids)` for n in go.nodes if 'telomer' in n.name])
##('age-dependent telomere shortening', 0, ['GO:0001309'])
##('chromatin silencing at telomere', 39, ['GO:0006348'])
##('telomere maintenance', 34, ['GO:0000723'])
##('telomerase-dependent telomere maintenance', 13, ['GO:0007004'])
##('telomerase-independent telomere maintenance', 13, ['GO:0000722'])
##('suppression of telomeric recombination at telomere', 0, ['GO:0048239'])
##('telomere capping', 3, ['GO:0016233'])
##('telomere clustering', 1, ['GO:0045141'])
##('telomere binding', 0, ['GO:0007003'])

##gridexp for GO:0006412 - protein biosynthesis
##100 1 0.5
##MSE at 100 = 0.047599
##
##elapsed_time =
##
##   82.5290
##
##Training Confusion:
##        2288           1
##         125          36
##
##Test Confusion:
##        2238          18
##         181          13

##C:\My Projects\Matlab>gridexp 100 1 0.5 (0.95 decay)
##  100.0000    1.0000    0.5000
##
##Data size = [2944 3820]
##Positive prior = 0.12058
##MSE at 100 = 0.010362
##Training time = 82.279 sec.
##Training Confusion:
##        1288           5
##           7         172
##
##Test Confusion:
##         901         395
##          37         139
##
##Positive posterior = 0.2603
##Positive predictions = 0.36277
##Positive discovery = 0.094429

## This one is with TRANSPOSES, without BIO.PROC.UNK. genes, but includes ONLY-1 input rows.
##  100.0000    1.0000    0.5000
##Data size (w/o ind): [3523 5105]
##Training time = 200.868 sec.
##Training Confusion:
## TN=1607 ; FP=   0
## FN=  15 ; TP= 140
##Test Confusion:
## TN=1523 ; FP=  68
## FN= 117 ; TP=  53
##Positive prior = 0.092251
##Precision     [TP/(FP+TP)] = 0.43802
##Sensty-Recall [TP/(TP+FN)] = 0.31176
##Specificity   [TN/(FP+TN)] = 0.95726
##Positive pred. prob. = 0.068711
##Discovery [TP/all] = 0.030097

## Another run...
##  100.0000    1.0000    0.5000
##Training time = 233.166 sec.
##Training Confusion:
##  TN=1602 ; FP=   0
##  FN=  19 ; TP= 141
##Test Confusion:
##  TN=1550 ; FP=  46
##  FN= 123 ; TP=  42
##Posit. prior [(TP+FN)/all] = 0.092251
##Precision     [TP/(TP+FP)] = 0.47727
##Sensty-Recall [TP/(TP+FN)] = 0.25455
##Specificity   [TN/(FP+TN)] = 0.97118
##Positive pred. prob. = 0.049972
##Discovery [TP/all] = 0.02385

## This one starts with all GRID columns, but BPK rows, and has BPU evaluation.
##grid_train: [3784 88201]
##outputs_train: [3783 1]
##inputs (w/o inds): [3783 5738]
##Unique genes in columns: 3011
##Data size (w/o ind): [3616 5739]
##  100.0000    1.0000    0.5000
##Training time = 294.273 sec.
##Training Confusion:
##  TN=1647 ; FP=   0
##  FN=  15 ; TP= 146
##Test Confusion:
##  TN=1590 ; FP=  45
##  FN= 129 ; TP=  44
##Posit. prior [(TP+FN)/all] = 0.092367
##Precision     [TP/(TP+FP)] = 0.49438
##Sensty-Recall [TP/(TP+FN)] = 0.25434
##Specificity   [TN/(FP+TN)] = 0.97248
##Positive pred. prob. = 0.049226
##Discovery [TP/all] = 0.024336
##22 of 1117 unknown genes ( 2%) predicted positive.

## Another run, listing predicted unknown genes
##>> gridexp 100 1 0.5 1 PR
##  100.0000    1.0000    0.5000
##
##grid_train: [3784 88201]
##outputs_train: [3783 1]
##inputs (w/o inds): [3783 5738]
##Unique genes in columns: 3011
##Data size (w/o ind): [3616 5739]
##MSE at 5 = 0.01182
##MSE at 10 = 0.0084436
##MSE at 15 = 0.0061188
##MSE at 20 = 0.0070604
##MSE at 25 = 0.005768
##MSE at 30 = 0.0064543
##MSE at 35 = 0.0063591
##MSE at 40 = 0.006264
##MSE at 45 = 0.0056305
##MSE at 50 = 0.0058719
##MSE at 55 = 0.00575
##MSE at 60 = 0.0057954
##MSE at 65 = 0.0057216
##MSE at 70 = 0.005746
##MSE at 75 = 0.0057999
##MSE at 80 = 0.005825
##MSE at 85 = 0.0057673
##MSE at 90 = 0.0057797
##MSE at 95 = 0.0057515
##MSE at 100 = 0.0057532
##Training time = 276.717 sec.
##Training Confusion:
##  TN=1662 ; FP=   0
##  FN=  13 ; TP= 133
##Test Confusion:
##  TN=1559 ; FP=  61
##  FN= 134 ; TP=  54
##Posit. prior [(TP+FN)/all] = 0.092367
##Precision     [TP/(TP+FP)] = 0.46957
##Sensty-Recall [TP/(TP+FN)] = 0.28723
##Specificity   [TN/(FP+TN)] = 0.96235
##Positive pred. prob. = 0.063606
##Discovery [TP/all] = 0.029867
##23 of 1117 unknown genes ( 2%) predicted positive:
##['YCR072C', 'YMR116C', 'YIR003W', 'YHR059W', 'YMR310C',
## 'YFL007W', 'YBL044W', 'YLR137W', 'YPL105C', 'YDR441C',
## 'YJL107C', 'YGR016W', 'YLR164W', 'YPR203W', 'YBR301W',
## 'YDL063C', 'YJL122W', 'YPR015C', 'YML056C', 'YDL124W',
## 'YMR019W', 'YPR116W', 'YPL047W']
