"""
Hand-selected list of GO node IDs
"""

SelectedGOIDs = [
'GO:0006414', # translational elongation
'GO:0006412', # protein biosynthesis
'GO:0007047', # cell wall organization and biogenesis
'GO:0006319', # Ty element transposition
'GO:0006468', # protein amino acid phosphorylation
'GO:0000154', # rRNA modification
'GO:0006511', # ubiquitin-dependent protein catabolism
'GO:0000398', # nuclear mRNA splicing\, via spliceosome
'GO:0006357', # regulation of transcription from Pol II promoter
'GO:0006888', # ER to Golgi transport
'GO:0006364', # rRNA processing
'GO:0009060', # aerobic respiration
'GO:0006950', # response to stress
'GO:0006623', # protein-vacuolar targeting
'GO:0006281', # DNA repair
'GO:0000283', # establishment of cell polarity (sensu Saccharomyces)
'GO:0007015', # actin filament organization
'GO:0006365', # 35S primary transcript processing
'GO:0007126', # meiosis
'GO:0006897', # endocytosis
'GO:0030490', # processing of 20S pre-rRNA
'GO:0007124', # pseudohyphal growth
'GO:0006406', # mRNA-nucleus export
'GO:0006366', # transcription from Pol II promoter
'GO:0007151', # sporulation (sensu Saccharomyces)
'GO:0006367', # transcription initiation from Pol II promoter
'GO:0006457', # protein folding
'GO:0006970', # response to osmotic stress
'GO:0000910', # cytokinesis
'GO:0006413', # translational initiation
'GO:0045944', # positive regulation of transcription from Pol II promoter
'GO:0006348', # chromatin silencing at telomere
'GO:0016192', # vesicle-mediated transport
'GO:0007165', # signal transduction
'GO:0000027', # ribosomal large subunit assembly and maintenance
'GO:0006355', # regulation of transcription\, DNA-dependent
'GO:0006338', # chromatin remodeling
'GO:0000082', # G1/S transition of mitotic cell cycle
'GO:0006461', # protein complex assembly
'GO:0006979', # response to oxidative stress
'GO:0007121', # polar budding
'GO:0007059', # chromosome segregation
'GO:0000747', # conjugation with cellular fusion
'GO:0006611', # protein-nucleus export
'GO:0007005', # mitochondrion organization and biogenesis
'GO:0000070', # mitotic chromosome segregation
'GO:0006906', # vesicle fusion
'GO:0006487', # N-linked glycosylation
'GO:0000122', # negative regulation of transcription from Pol II promoter
'GO:0006914', # autophagy
'GO:0007031', # peroxisome organization and biogenesis
'GO:0006606', # protein-nucleus import
'GO:0007131', # meiotic recombination
'GO:0006999', # nuclear pore organization and biogenesis
'GO:0006407', # rRNA-nucleus export
'GO:0000282', # bud site selection
'GO:0016573', # histone acetylation
'GO:0006609', # mRNA-binding (hnRNP) protein-nucleus import
'GO:0000074', # regulation of cell cycle
'GO:0006409', # tRNA-nucleus export
'GO:0006696', # ergosterol biosynthesis
'GO:0006270', # DNA replication initiation
'GO:0006607', # NLS-bearing substrate-nucleus import
'GO:0006610', # ribosomal protein-nucleus import
'GO:0006608', # snRNP protein-nucleus import
'GO:0006408', # snRNA-nucleus export
'GO:0007020', # microtubule nucleation
'GO:0000086', # G2/M transition of mitotic cell cycle
'GO:0006360', # transcription from Pol I promoter
'GO:0000750', # signal transduction during conjugation with cellular fusion
'GO:0001403', # invasive growth (sensu Saccharomyces)
'GO:0007152', # spore wall assembly (sensu Saccharomyces)
'GO:0006513', # protein monoubiquitination
'GO:0006508', # proteolysis and peptidolysis
'GO:0030036', # actin cytoskeleton organization and biogenesis
'GO:0007264', # small GTPase mediated signal transduction
'GO:0006402', # mRNA catabolism
'GO:0007120', # axial budding
'GO:0006310', # DNA recombination
'GO:0006261', # DNA-dependent DNA replication
'GO:0006891', # intra-Golgi transport
'GO:0000071', # mitotic spindle assembly (sensu Saccharomyces)
'GO:0006893', # Golgi to plasma membrane transport
'GO:0006368', # RNA elongation from Pol II promoter
'GO:0006260', # DNA replication
'GO:0006887', # exocytosis
'GO:0006094', # gluconeogenesis
'GO:0006289', # nucleotide-excision repair
'GO:0006879', # iron ion homeostasis
'GO:0006298', # mismatch repair
'GO:0015986', # ATP synthesis coupled proton transport
'GO:0007049', # cell cycle
'GO:0016568', # chromatin modification
'GO:0007035', # vacuolar acidification
'GO:0000002', # mitochondrial genome maintenance
'GO:0006347', # chromatin silencing at HML and HMR (sensu Saccharomyces)
'GO:0006886', # intracellular protein transport
'GO:0006325', # establishment and/or maintenance of chromatin architecture
'GO:0005975', # carbohydrate metabolism
'GO:0000902', # cellular morphogenesis
'GO:0007010', # cytoskeleton organization and biogenesis
'GO:0007046', # ribosome biogenesis
'GO:0006974', # response to DNA damage stimulus
'GO:0006629', # lipid metabolism
'GO:0045045', # secretory pathway
'GO:0006259', # DNA metabolism
'GO:0006397', # mRNA processing
'GO:0007067', # mitosis
'GO:0015031', # protein transport
'GO:0030163', # protein catabolism
'GO:0006464', # protein modification
'GO:0006396', # RNA processing
'GO:0006796', # phosphate metabolism
'GO:0006997', # nuclear organization and biogenesis
'GO:0008283', # cell proliferation
'GO:0006605', # protein targeting
'GO:0006066', # alcohol metabolism
'GO:0007001', # chromosome organization and biogenesis (sensu Eukarya)
'GO:0045449', # regulation of transcription
'GO:0000067', # DNA replication and chromosome cycle
'GO:0006520', # amino acid metabolism
'GO:0016070', # RNA metabolism
'GO:0019538', # protein metabolism
'GO:0042254', # ribosome biogenesis and assembly
'GO:0000087', # M phase of mitotic cell cycle
'GO:0000280', # nuclear division
'GO:0016071', # mRNA metabolism
'GO:0016072', # rRNA metabolism
'GO:0000278', # mitotic cell cycle
'GO:0048193', # Golgi vesicle transport
'GO:0006351' # transcription\, DNA-dependent
]

NewGOIDs = [ # without the disconnected 26 nodes
'GO:0000027',
'GO:0000067',
'GO:0000070',
'GO:0000071',
'GO:0000074',
'GO:0000082',
'GO:0000086',
'GO:0000087',
'GO:0000122',
'GO:0000154',
'GO:0000278',
'GO:0000280',
'GO:0000282',
'GO:0000283',
'GO:0000398',
'GO:0000902',
'GO:0000910',
'GO:0001403',
'GO:0006259',
'GO:0006260',
'GO:0006261',
'GO:0006270',
'GO:0006281',
'GO:0006289',
'GO:0006298',
'GO:0006310',
'GO:0006319',
'GO:0006325',
'GO:0006338',
'GO:0006347',
'GO:0006348',
'GO:0006351',
'GO:0006355',
'GO:0006357',
'GO:0006360',
'GO:0006364',
'GO:0006365',
'GO:0006366',
'GO:0006367',
'GO:0006368',
'GO:0006396',
'GO:0006397',
'GO:0006402',
'GO:0006412',
'GO:0006413',
'GO:0006414',
'GO:0006457',
'GO:0006461',
'GO:0006464',
'GO:0006468',
'GO:0006487',
'GO:0006508',
'GO:0006511',
'GO:0006513',
'GO:0006605',
'GO:0006606',
'GO:0006607',
'GO:0006608',
'GO:0006609',
'GO:0006610',
'GO:0006611',
'GO:0006623',
'GO:0006796',
'GO:0006886',
'GO:0006887',
'GO:0006888',
'GO:0006891',
'GO:0006893',
'GO:0006897',
'GO:0006906',
'GO:0006950',
'GO:0006970',
'GO:0006974',
'GO:0006979',
'GO:0006997',
'GO:0006999',
'GO:0007001',
'GO:0007010',
'GO:0007015',
'GO:0007020',
'GO:0007046',
'GO:0007049',
'GO:0007059',
'GO:0007067',
'GO:0007124',
'GO:0007126',
'GO:0007131',
'GO:0008283',
'GO:0015031',
'GO:0015986',
'GO:0016070',
'GO:0016071',
'GO:0016072',
'GO:0016192',
'GO:0016568',
'GO:0016573',
'GO:0019538',
'GO:0030036',
'GO:0030163',
'GO:0030490',
'GO:0042254',
'GO:0045045',
'GO:0045449',
'GO:0045944',
'GO:0048193'
]